package com.qmth.distributed.print.api;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.distributed.print.business.entity.SysUser;
import com.qmth.distributed.print.common.util.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

/**
 * @Date: 2021/4/19.
 */
@Api(tags = "客户端Controller")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/${prefix.url.client}")
@Aac(auth = BOOL.FALSE)
public class ClientController {

    /**
     * 登录
     * @param sysUser
     * @return
     */
    @ApiOperation(value = "登录")
    @RequestMapping(value = "/user/login", method = RequestMethod.POST)
    public Result login(@RequestBody SysUser sysUser){

        return null;
    }

    /**
     * 试卷打样-列表
     * @param schoolId 学校ID
     * @param machineCode 机器唯一码
     * @param orgId 机构ID
     * @param printPlanId 印刷计划ID
     * @param courseCode 课程代码
     * @param paperNumber 试卷编号
     * @param isTry 是否打样
     * @param isPass 是否合格
     * @param pageNumber
     * @param pageSize
     * @return
     */
    @ApiOperation(value = "试卷打样-列表")
    @RequestMapping(value = "/paper_try/list", method = RequestMethod.POST)
    public Result paperTryList(@RequestParam("schoolId") Long schoolId,
                               @RequestParam("machineCode") String machineCode,
                               @RequestParam("orgId") Long orgId,
                               @RequestParam(value = "printPlanId", required = false) Long printPlanId,
                               @RequestParam(value = "courseCode", required = false) String courseCode,
                               @RequestParam(value = "paperNumber", required = false) String paperNumber,
                               @RequestParam(value = "isTry", required = false) Boolean isTry,
                               @RequestParam(value = "isPass", required = false)Boolean isPass,
                               @RequestParam("pageNumber") Integer pageNumber,
                               @RequestParam("pageSize") Integer pageSize){

        return null;
    }

    /**
     * 试卷打样-查看/试印/重印
     * @param schoolId
     * @param examTaskId
     * @return
     */
    @ApiOperation(value = "试卷打样-查看/试印/重印")
    @RequestMapping(value = "/paper_try/print", method = RequestMethod.POST)
    public Result paperTryPrint(@RequestParam("schoolId") Long schoolId,
                               @RequestParam("examTaskId") Long examTaskId){

        return null;
    }
}
